<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/app-store-version-localizations",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "App Store Version Localizations"
}
-->

# App Store Version Localizations

Create and maintain version-specific App Store metadata that’s localized.

## Discussion

Use `appStoreVersionLocalizations` to create and maintain your App Store metadata in different languages. This resource includes the following attributes:

- Locale
- Description
- Keywords
- Marketing URL
- Promotional Text
- Support URL
- What’s New Text

You can update the Promotional Text for your version at any time. Update other attributes when your app is in an editable state. For information about required, localized, and editable metadata, see [Required, localized, and editable properties](https://developer.apple.com/help/app-store-connect/reference/required-localizable-and-editable-properties).

## Topics

### Getting Version Localizations

[`GET /v1/appStoreVersions/{id}/appStoreVersionLocalizations`](/documentation/AppStoreConnectAPI/GET-v1-appStoreVersions-_id_-appStoreVersionLocalizations)

Get a list of localized, version-level information about an app, for all locales.

[`GET /v1/appStoreVersionLocalizations/{id}`](/documentation/AppStoreConnectAPI/GET-v1-appStoreVersionLocalizations-_id_)

Read localized version-level information.

### Creating, Modifying, and Deleting Version Localizations

[`POST /v1/appStoreVersionLocalizations`](/documentation/AppStoreConnectAPI/POST-v1-appStoreVersionLocalizations)

Add localized version-level information for a new locale.

[`PATCH /v1/appStoreVersionLocalizations/{id}`](/documentation/AppStoreConnectAPI/PATCH-v1-appStoreVersionLocalizations-_id_)

Modify localized version-level information for a particular language.

[`DELETE /v1/appStoreVersionLocalizations/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-appStoreVersionLocalizations-_id_)

Delete a language from your version metadata.

### Getting Information from a Localization

[`GET /v1/appStoreVersionLocalizations/{id}/appPreviewSets`](/documentation/AppStoreConnectAPI/GET-v1-appStoreVersionLocalizations-_id_-appPreviewSets)

List all app preview sets for a specific localization.

[`GET /v1/appStoreVersionLocalizations/{id}/appScreenshotSets`](/documentation/AppStoreConnectAPI/GET-v1-appStoreVersionLocalizations-_id_-appScreenshotSets)

List all screenshot sets for a specific localization.

[`GET /v1/appStoreVersionLocalizations/{id}/relationships/appPreviewSets`](/documentation/AppStoreConnectAPI/GET-v1-appStoreVersionLocalizations-_id_-relationships-appPreviewSets)

[`GET /v1/appStoreVersionLocalizations/{id}/relationships/appScreenshotSets`](/documentation/AppStoreConnectAPI/GET-v1-appStoreVersionLocalizations-_id_-relationships-appScreenshotSets)

### Search Keywords

[`GET /v1/appStoreVersionLocalizations/{id}/searchKeywords`](/documentation/AppStoreConnectAPI/GET-v1-appStoreVersionLocalizations-_id_-searchKeywords)

Get search keywords for a specific App Store version localization.

[`GET /v1/appStoreVersionLocalizations/{id}/relationships/searchKeywords`](/documentation/AppStoreConnectAPI/GET-v1-appStoreVersionLocalizations-_id_-relationships-searchKeywords)

Get a list of search keyword IDs for a specific App Store version localization.

[`POST /v1/appStoreVersionLocalizations/{id}/relationships/searchKeywords`](/documentation/AppStoreConnectAPI/POST-v1-appStoreVersionLocalizations-_id_-relationships-searchKeywords)

Add search keywords to a specific App Store version localization.

[`DELETE /v1/appStoreVersionLocalizations/{id}/relationships/searchKeywords`](/documentation/AppStoreConnectAPI/DELETE-v1-appStoreVersionLocalizations-_id_-relationships-searchKeywords)

Remove search keywords from a specific App Store version localization.

### Objects

[`AppStoreVersionLocalization`](/documentation/AppStoreConnectAPI/AppStoreVersionLocalization)

The data structure that represent an App Store Version Localizations resource.

[`AppStoreVersionLocalizationCreateRequest`](/documentation/AppStoreConnectAPI/AppStoreVersionLocalizationCreateRequest)

The request body you use to create an App Store Version Localization.

[`AppStoreVersionLocalizationResponse`](/documentation/AppStoreConnectAPI/AppStoreVersionLocalizationResponse)

The response body for endpoints that create, read, or modify a localized App Store version entry.

[`AppStoreVersionLocalizationsResponse`](/documentation/AppStoreConnectAPI/AppStoreVersionLocalizationsResponse)

The response body for endpoints that list localized App Store version entries.

[`AppStoreVersionLocalizationUpdateRequest`](/documentation/AppStoreConnectAPI/AppStoreVersionLocalizationUpdateRequest)

The request body you use to update an App Store Version Localization

[`AppStoreVersionLocalizationSearchKeywordsLinkagesRequest`](/documentation/AppStoreConnectAPI/AppStoreVersionLocalizationSearchKeywordsLinkagesRequest)

The request body for updating the list of search keywords linked to an App Store version localization.

[`AppStoreVersionLocalizationSearchKeywordsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppStoreVersionLocalizationSearchKeywordsLinkagesResponse)

A response containing the resource identifiers of search keywords linked to an App Store version localization.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)